Page MenuHomeVyOS Platform

Update vyos-merge-config.py for version string syntax change
Closed, ResolvedPublic

Description

The changes in 'T2029: Switch to new syntax for config file component versions' will require vyos-merge-config.py to run the virtual migrator before loading the config file.

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

jestabro triaged this task as Normal priority.Feb 19 2020, 4:50 PM
jestabro created this task.
jestabro created this object in space S1 VyOS Public.

https://github.com/vyos/vyos-1x/pull/225

This is dependent on T2029, PR 224, and should only be merged after that PR.

pasik added a subscriber: pasik.Mar 30 2020, 7:10 AM
jestabro closed this task as Resolved.Mar 31 2020, 1:53 PM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Apr 5 2020, 12:36 PM